﻿/*----------------------------------------------*/
//  ParaFla Dan★Oniソース 
//  矢印スプライト生成スクリプト
//                ver fd3.4.0 beta  2008/10/24
//                ver fd3.5.0 beta  2009/03/12
//  source by tickle
/*----------------------------------------------*/

/*----- 注意事項 ---------------------------------------------*/
// ・コメント以外の部分で、日本語は使用できません！
// 　(ParaFlaが強制終了するなどの問題が発生します)
// 
//　 何らかの事情で使いたい場合は
//　「最初の初期化」などのところで変数を作ってその変数を使用
//　 Ex.) _root.moji="処理しています";
/*-------------------------------------------------------------*/


/*----- スプライト生成処理 -----*/
//
// この部分を消すと矢印が出てこなくなります！
// （スプライトは基本的に_root.main上に複製されるので[main]も削除しないこと）

//
// ステップゾーン、矢印、フリーズアローの核の部分を生成
for(j=0;j<11;j++){
	if(_root.keyLabel!=9 && _root.keyLabel!=11 && j==7){
		break;
	}else if((_root.keyLabel==5 || _root.keyLabel==9) && (j==1 || j==5)){
	}else{
		main.attachMovie(step_root[j],hAr[j]+"_step",j+1);
		main[hAr[j]+"_step"]._rotation = steprot[j];
		main[hAr[j]+"_step"]._x        = this["std"+keyLabel][j];
		main[hAr[j]+"_step"]._y        = (revn[j]==1 ? step_y+stepDelta : dist_y-stepDelta);
		if(_root.stepArea=="2step" && _root.aprLabel[j]==0){
			main[hAr[j]+"_step"]._y    = (revn[j]==1 ? step_y+stepDelta2: dist_y-stepDelta2);
		}
		if(_root.dark == "StepZone" || _root.dark == "All Dark" || _root.stepArea=="Flat"){
			main[hAr[j]+"_step"].arr_r._visible = false;
		}
		main.attachMovie(arr_root[j], hAr[j]+"_s",j+21);
		main[hAr[j]+"_s"]._rotation    = steprot[j];
		main[hAr[j]+"_s"]._x           = this["std"+keyLabel][j];
		main[hAr[j]+"_s"]._visible     = false;
		
		if(_root.keyLabel==9){
			main[hAr[j]+"_step"]._xscale=93.75;
			main[hAr[j]+"_step"]._yscale=93.75;
			main[hAr[j]+"_s"]._xscale=93.75;
			main[hAr[j]+"_s"]._yscale=93.75;
		}else if(_root.keyLabel=="7i" && j<3){
			main[hAr[j]+"_step"]._xscale=80;
			main[hAr[j]+"_s"]._xscale=80;
		}

		if(nofrz!=true && farr_root[j]!=""){
			main.attachMovie(farr_root[j],"f"+hAr[j]+"_s",j+41);
			main["f"+hAr[j]+"_s"]._x       = this["std"+keyLabel][j];
			main["f"+hAr[j]+"_s"]._visible = false;
            
            if(_root.keyLabel==9){
				main["f"+hAr[j]+"_s"]._xscale=93.75;
				main["f"+hAr[j]+"_s"]._yscale=93.75;
			}else if(_root.keyLabel=="7i" && j<3){
				main["f"+hAr[j]+"_step"]._xscale=80;
				main["f"+hAr[j]+"_s"]._xscale=80;
			}
		}
	}
}

if(_root.stepArea=="Flat" && _root.dark!="StepZone" && _root.dark!="All Dark"){
	lineStyle(3,0x222222,100);
	if(_root.revn[0]==1){
		moveTo(20,_root.step_y-20);
		lineTo(_root.width_x,_root.step_y-20);
		moveTo(20,_root.step_y+20);
		lineTo(_root.width_x,_root.step_y+20);
	}else{
		moveTo(20,_root.dist_y+20);
		lineTo(_root.width_x,_root.dist_y+20);
		moveTo(20,_root.dist_y-20);
		lineTo(_root.width_x,_root.dist_y-20);
	}
	endFill();
}

/*----- 矢印色, ステップゾーンの設定 -----*/
//
//　矢印色をテキストで決めずグラデーションを掛けるときは
//　「ここで矢印色をセットする」部分の４行を消すこと
//
if(_root.keyLabel=="7i"){
	var arr_color=[
		color_array[2],color_array[2],color_array[2],color_array[0],
		color_array[0],color_array[0],color_array[0]];
}else{
	var arr_color=[
		color_array[0],color_array[1],color_array[0],color_array[2],
		color_array[0],color_array[1],color_array[0],
		color_array[3],color_array[3],color_array[3],color_array[3]];
}
_root.frz_color=[_root.frz_colord[0],_root.frz_colord[1],
			_root.frz_colord[0],_root.frz_colord[1],
			_root.frz_colord[0],_root.frz_colord[1],
			_root.frz_colord[2],_root.frz_colord[3],
			_root.frz_colord[2],_root.frz_colord[3],
			_root.frz_colord[2],_root.frz_colord[3]];
//
// ここで矢印色をセットする
for(j=0;j<11;j++){
	var set_arr=new Color(main[hAr[j]+"_s"]);
	set_arr.setRGB(arr_color[j]);
}

/*---- 不要なスプライト, 変数を削除 (Dark, 5key, フリーズ無しなど) ----*/
for(j=0;j<del_spr.length;j++){
	main[del_spr[j]+"_s"].removeMovieClip();
	delete this[del_spr[j]+"s"];
}
if(_root.noFrz==true){
	delete this.fmov_arrow;
}
if(_root.dark == "Judgement" || _root.dark == "All Dark"){
	_root.eff.swapDepths(10000);
	_root.eff.removeMovieClip();
	_root.feff.swapDepths(10000);
	_root.feff.removeMovieClip();
}
if(_root.dark=="LifeGauge" || _root.dark=="All Dark"){
	_root.lifeg.swapDepths(10000);
	_root.lifeg.removeMovieClip();
}else{
    // ライフゲージの初期設定
    _root.lifeg._height = height_y;
    _root.lifeg.gotoAndStop(life);
}
if(_root.dark=="Time" || _root.dark=="All Dark"){
	_root.main.time_view.swapDepths(10000);
	_root.main.time_view.removeMovieClip();
}

_root.eff._y  = _root.height_y/2-45;
_root.feff._x = _root.width_x-150;
_root.feff._y = _root.height_y/2+45;
_root.ready._x= _root.ready._x-(400-_root.width_x)/2;
_root.main._x = _root.main._x-(450-_root.width_x)/2;
//
// オートを実行しない場合はオート関数を削除
if(_root.auto_mode=="OFF"){
	delete this.auto_judge;
	delete this.fauto_judge;
}
delete del_spr;
delete set_arr;		delete arr_color;



/*----- パラメータ初期化 -----*/
var sp       =0;
var sp2      =0;

// 総プレイ時間
full_time = "-:--";	real_time = "0:00";

